module WarpEngine
  module Platforms
    module Builds
      module BuildWinX64
        extend ActiveSupport::Concern

        included do
          register_expected_kind "win_x64"
        end

        private

        def win_x64_asset_path(versioned)
          path = full_path("#{versioned}-win-x64.zip")
          { "win_x64" => path } if File.file?(path)
        end
      end
    end
  end
end
